Obj Cycle
{
	int radius;
	int color[3];
}


Cycle c;


Func drawCycle(Cycle a)
{
	int length;
	length = a.radius * 314 * 2;
	int step;
	step = length / 90;
	LF 2;
	RGB a.color[0], a.color[1], a.color[2]; 
	Loop (90)
	{
		FD step;
		RT 4;
	}
}


c.radius = 1;
c.color[0] = 255;
c.color[1] = 255;
c.color[2] = 0;
WD 10;

int i;
i = 1;

Func ChangeColor(Cycle c, int r, int g, int b)
{
	c.color[0] = r;
	c.color[1] = g;
	c.color[2] = b;
}

PF;
BK c.radius * 100 * 2;
PF;
ChangeColor(c, 0, 0, 255);
drawCycle(c);
RESET;

ChangeColor(c, 0, 0, 0);
drawCycle(c);
RESET;

PF;
FD c.radius * 100 * 2;
PF;
ChangeColor(c, 255, 0, 0);
drawCycle(c);
RESET;

PF;
BK c.radius * 100;
RT 90;
FD c.radius * 100;
LF 90;
PF;
ChangeColor(c, 255, 255, 0);
drawCycle(c);
RESET;

PF;
FD c.radius * 100;
RT 90;
FD c.radius * 100;
LF 90;
PF;
ChangeColor(c, 0, 255, 0);
drawCycle(c);
RESET;

